
From: Andi Kleen <ak@suse.de>

Add NUMA API system calls on IA64 and one bug fix required for it.


---

 25-akpm/arch/ia64/kernel/acpi.c   |    1 +
 25-akpm/arch/ia64/kernel/entry.S  |    6 +++---
 25-akpm/include/asm-ia64/unistd.h |    6 +++---
 3 files changed, 7 insertions(+), 6 deletions(-)

diff -puN arch/ia64/kernel/acpi.c~numa-api-ia64 arch/ia64/kernel/acpi.c
--- 25/arch/ia64/kernel/acpi.c~numa-api-ia64	Wed Apr  7 12:16:10 2004
+++ 25-akpm/arch/ia64/kernel/acpi.c	Wed Apr  7 12:16:10 2004
@@ -455,6 +455,7 @@ acpi_numa_arch_fixup (void)
 	for (i = 0; i < MAX_PXM_DOMAINS; i++) {
 		if (pxm_bit_test(i)) {
 			pxm_to_nid_map[i] = numnodes;
+			node_set_online(numnodes);
 			nid_to_pxm_map[numnodes++] = i;
 		}
 	}
diff -puN arch/ia64/kernel/entry.S~numa-api-ia64 arch/ia64/kernel/entry.S
--- 25/arch/ia64/kernel/entry.S~numa-api-ia64	Wed Apr  7 12:16:10 2004
+++ 25-akpm/arch/ia64/kernel/entry.S	Wed Apr  7 12:16:10 2004
@@ -1501,9 +1501,9 @@ sys_call_table:
 	data8 sys_clock_nanosleep
 	data8 sys_fstatfs64
 	data8 sys_statfs64
-	data8 sys_ni_syscall
-	data8 sys_ni_syscall			// 1260
-	data8 sys_ni_syscall
+	data8 sys_mbind
+	data8 sys_get_mempolicy			// 1260
+	data8 sys_set_mempolicy
 	data8 sys_ni_syscall
 	data8 sys_ni_syscall
 	data8 sys_ni_syscall
diff -puN include/asm-ia64/unistd.h~numa-api-ia64 include/asm-ia64/unistd.h
--- 25/include/asm-ia64/unistd.h~numa-api-ia64	Wed Apr  7 12:16:10 2004
+++ 25-akpm/include/asm-ia64/unistd.h	Wed Apr  7 12:16:10 2004
@@ -248,9 +248,9 @@
 #define __NR_clock_nanosleep		1256
 #define __NR_fstatfs64			1257
 #define __NR_statfs64			1258
-#define __NR_reserved1			1259	/* reserved for NUMA interface */
-#define __NR_reserved2			1260	/* reserved for NUMA interface */
-#define __NR_reserved3			1261	/* reserved for NUMA interface */
+#define __NR_mbind			1259
+#define __NR_get_mempolicy		1260
+#define __NR_set_mempolicy		1261
 
 #ifdef __KERNEL__
 

_
